c_csstri(3NCARG)

NAME
c_csstri - calculates a Delaunay triangulation for data on a sphere

FUNCTION PROTOTYPE
    int *c_csstri(int, float [], float [], int *, int *);

SYNOPSIS
    int *c_csstri(n, rlat, rlon, nt, ier);

DESCRIPTION

n   The number of input data points, n > 2.

rlat
    An array containing the latitudes of the input data, expressed in degrees. The first three points must not be collinear (lie on a common great circle).

rlon
    An array containing the longitudes of the input data, expressed in degrees.

nt  *nt is the number of triangles in the triangulation, unless *ier is non-zero, in which case *nt = 0. Where nb is the number of boundary points on the convex hull of the data, if nb is greater than 3, then *nt = 2n-nb-2, otherwise *nt = 2n-4. The input data are considered to be bounded if they all lie in one hemisphere.

ier An error return value. If *ier is returned as 0, then no errors were detected. If *ier is non-zero, then refer to the error list in cssgrid_errors for details.

USAGE
c_csstri is called to find a Delaunay triangulation of data randomly positioned on the surface of a sphere.

RETURN VALUE
c_csstri returns a pointer to a linear array that contains a sequence of integer triples. The elements of a triple are indices of vertices of a triangle. Each index references an original data point as it occurs in sequence in the input data set (numbering starts at 0). For example, if the triple <5,0,2> were in the list of triples, then (rlat[5],rlon[5]), (rlat[0],rlon[0]), and (rlat[2],rlon[2]) would be vertices of a triangle in the Delaunay triangulation.

ACCESS
To use c_csstri, load the NCAR Graphics library ngmath.

SEE ALSO
css_overview, c_cssgrid, cssgrid_errors

Complete documentation for Cssgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/cssgrid/csshome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.